import { Meta, Source } from '@storybook/blocks';
import dedent from 'ts-dedent';

<Meta title="Foundation/Usage" />

# Usage Guidelines

### Install

Install the **library** along with its **peer dependencies**.

<Source
  language="bash"
  code={dedent`
     $ npm install @coyoapp/icons
     $ npm install @coyoapp/ui
  `}
/>

### Component status

Components are marked with a status in each story. Components not marked as "live" are likely to be changed or contain
bugs and should not be used in production code.

### Import

**Import** the relevant component module and call the module's **`.forRoot()` method** if necessary in your app module.

<Source
  language="ts"
  code={dedent`
    @NgModule({
      declarations: [
        AppComponent,
      ],
      imports: [
        BrowserModule,
        IconModule.forRoot(),
        ButtonModule
      ],
      bootstrap: [AppComponent]
    })
    export class AppModule {
    }`}
/>
